Subject: Re: bug#55439: [PATCH] Add support for the Modi script

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 May 2022 18:52:25 +0300

> From: Visuwesh <[email-masked]>
> Cc: Pankaj Jangid <[email-masked]>,  [email-masked]
> Date: Thu, 19 May 2022 20:01:40 +0530
> 
> [வியாழன் மே 19, 2022] Eli Zaretskii wrote:
> 
> >> From: Pankaj Jangid <[email-masked]>
> >> Cc: [email-masked]
> >> Date: Thu, 19 May 2022 19:10:47 +0530
> >> 
> >> >> As I said, a language speaker might conclude it wrong even though
> >> >> Emacs supports the language.
> >> >
> >> > I don't think I understand how could a language speaker arrive at some
> >> > wrong conclusions, please elaborate.  If the problem is caused by this
> >> > blurb we have at the beginning:
> >> >
> >> >   This is a list of ways to say hello in various languages.
> >> >   It is not intended to be comprehensive, but to demonstrate
> >> >   some of the character sets that Emacs supports.
> >> >
> >> > then we could amend that text.
> >> 
> >> We can just add this or something like this at the end of the above
> >> paragraph - "Search for the script name of your language to see if your
> >> language is supported."
> >
> > Sorry, I don't think I understand.  Could you explain how that text
> > could mislead someone into incorrect conclusions?  Armed with that
> > explanation, I think I will be able to understand your suggestion.
> 
> I will use the case of Devanagari to explain the proposal: a number of
> languages uses Devanagari as the script---Hindi, Marathi, Bhojpuri,
> Konkani, etc.  Pankaj says that one might not know that their language
> uses the _script_ called Devanagari as people rarely speak about the
> _script_ itself but more about their _language_.  At least to me, it is
> far less natural to speak about the script a language uses; we mostly
> speak of the language itself and refer to the script as "the way we
> write X language" (note how I don't use the word "script" at all here).

Thanks.  So will the text below be better?

  This is a list of ways to say hello using various scripts.
  It is not intended to be comprehensive, but to demonstrate
  some of the character sets and writing systems that Emacs
  supports.  Look for the script used to write your language,
  to see if it is supported.